Get profile
curl --request GET \
--url https://api.managem.co.uk/profile/{identifier}import requests
url = "https://api.managem.co.uk/profile/{identifier}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.managem.co.uk/profile/{identifier}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"username": "<string>",
"reviews": 123,
"rating": 123,
"score": 123,
"sales": 123,
"purchases": 123,
"seller": true,
"joined": "2023-11-07T05:31:56Z",
"avatar": "<string>",
"cover": "<string>",
"profile": "<string>"
}Profile
Get profile
Retrieve the public profile for a user.
Use this endpoint for public profile pages and seller preview cards.
Path behavior:
- Accepts either a user ID or username as the identifier.
GET
/
profile
/
{identifier}
Get profile
Path Parameters
User ID or username for the requested profile
Response
200 - application/json
User profile
User profile information
Unique identifier for the user
Public username of the user
Total number of reviews the user has received
Confidence-based rating between 0 and 5
Average rating between 0 and 5
Total number of sales the user has made
Total number of purchases the user has made
Indicates if the user is a seller
ISO timestamp when the user account was created
URL to the user's avatar image
URL to the user's cover image
Information about the user